<?php

namespace App\Console\Commands;
use App\Models\Point;
use Box\Spout\Common\Type;
use Box\Spout\Reader\ReaderFactory;
use Illuminate\Console\Command;

class InsertDealerPoints extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'InsertDealerPoints';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Upload Dealer Data';


    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        $reader = ReaderFactory::create(Type::XLSX); // for XLSX files
        $file = public_path('data/dealer_points.xlsx');
        $reader->open($file);

        $insert_data = [];

        $this->info('started---');

        foreach ($reader->getSheetIterator() as $sheet) {
            if ($sheet->getIndex() > 0) break; // only first sheet

            $this->info('Preparing Data');
            foreach ($sheet->getRowIterator() as $row_index => $values) {

                if($values[5] == '' || $values[6] == '') continue;
                $insert_data [] = [
                    'shop_name' => $values[0],
                    'address' => $values[2],
                    'contact_number' => $values[3],
                    'location_type' => $values[4],
                    'latitude' => $values[5],
                    'longitude' => $values[6],
                    'district_id' => $values[1],
                ];
            }

        }

        // Insert
        try {
            Point::insert($insert_data);
            $this->info('Inserted');
        } catch (\Exception $e) {
            $this->info($e->getMessage());
        }


    }
}
