<?php

namespace App\Console\Commands;

use App\Models\ExamPaper;
use App\Models\ExamVideo;
use App\Models\Question;
use App\Services\ResultService;
use App\User;
use Illuminate\Console\Command;

class ResultCommand extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'result:command';

    /**
     * The console command description.
     *
     * @var string
     */
    public $resultService ;
    protected $description = 'Command description';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
        $this->resultService = new ResultService();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function assignVideoMarks(){
        $exam_videos = ExamVideo::where('is_marked', 1)->get();
        foreach ($exam_videos as $exam_video){
            $marks = $exam_video->marks;
            $user_id = $exam_video->user_id;
            $this->resultService->assignVideoAUditionMarks($user_id, $marks);
        }
    }
    public function handle()
    {
        $this->assignVideoMarks();
        $exam_papers = ExamPaper::where('is_marked', 0)->get();
        foreach ($exam_papers as $exam_paper){
            $user_id = $exam_paper->user_id;
            $marks = 0;
            $answers = json_decode($exam_paper->answer);
            foreach ($answers as $answer){
                if(isset($answer->question_id)){
                    $question = Question::find($answer->question_id);

                }
                else{
                    $question = Question::find($answer->id);

                }
                $this->info($answer->correct_answer);
                $this->info($question->correct_answer);
                if($question->correct_answer == $answer->correct_answer)
                    $marks++;
            }
            $this->resultService->assignMCQMarks($user_id, $marks);
            ExamPaper::where('id', $exam_paper->id)->update([
               'is_marked' => true
            ]);
        }
    }
}
