<?php

namespace App\Http\Controllers\Api;

use App\Models\Gallary;
use App\Models\NoticeBoard;
use App\Models\Zone;
use App\Services\ApiCommonResponseService;
use App\User;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class HomePageController extends Controller
{
    private $apiResponse;

    public function __construct()
    {
        $this->apiResponse = new ApiCommonResponseService();

    }
    public function getHomePageData(){
        $data = [];
        $data['sponsors'] = User::where('user_type', 8)->get();
        $data['supervisors'] = User::where('user_type', 6)->skip(0)->take(10)->get();
        $data['winners'] = User::where('user_type', 7)->skip(0)->take(10)->get();
        $data['judges'] = User::where('user_type', 5)->skip(0)->take(6)->get();
        $data['zones'] = Zone::all();
        $data['notices'] = $this->getHomePageNotices();
        $data['archives'] = Gallary::skip(0) ->take(8)->orderBy('id', 'desc')->get();
        return $this->apiResponse->success_response('200','Content Successfully Created',$data);

    }
    public  function getHomePageNotices(){
        $notices = NoticeBoard::where('is_pinned', true)->skip(0)->take(2)->get();
        $remain = 6 - count($notices);
        $other_notices =  NoticeBoard::where('is_pinned', false)->skip(0)->take($remain)->orderBy('id','desc')->get();
        return $notices->merge($other_notices);
    }
}
