<?php

namespace App\Http\Controllers\Api;

use App\Models\Sponsor;
use App\Services\ApiCommonResponseService;
use App\Services\ImageUploadService;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Validator;

class SponsorController extends Controller
{
    private $apiResponse;

    /**
     * Create a new locationservice instatnce
     *
     * @return void
     */
    public function __construct()
    {
        $this->apiResponse = new ApiCommonResponseService();

    }

    public function create(Request $request){

        $validation = Validator::make($request->all(), [

            'title' => 'required',
            'logo' => 'required',

        ]);

        if ($validation->fails()) {

            return $this->apiResponse->error_response('200', 'Validation Error', $validation->errors());
        }

            $file = $request->logo;
            $path = 'images/tth/sponsors/';
            $title = 'sponsor_';
            $image_url = ImageUploadService::fileUploadWithDirCreate($path, $file, $title);

        $create_content_sponsor = Sponsor::create([
            'title' => $request->title,
            'image' => $image_url,
            'status'=> 1,
        ]);


        return $this->apiResponse->success_response('200','Content Successfully Created',$create_content_sponsor);

    }

    public function index(){
        $sponsors = Sponsor::where('status',1)->get();
        return $this->apiResponse->success_response('200','Data is ready to show',$sponsors);
    }
}
