<?php

namespace App\Listeners;

use App\Events\TestNotification;
use Illuminate\Queue\InteractsWithQueue;

use App\NotificationToken;
use App\Notification;
use LaravelFCM\Message\OptionsBuilder;
use LaravelFCM\Message\PayloadDataBuilder;
use LaravelFCM\Message\PayloadNotificationBuilder;
use FCM;
USE LaravelFCM;

class TestListener
{

    public function handle(TestNotification $event)
    {
        $notification = $event->notification;

        try {
            if ($notification->image == null) {
                $optionBuilder = new OptionsBuilder();
                $optionBuilder->setTimeToLive(60 * 20);
//            $notificationBuilder = new PayloadNotificationBuilder('my title');
//            $notificationBuilder->setBody('Gavi')
//                ->setSound('default');

                $dataBuilder = new PayloadDataBuilder();

                $dataBuilder->addData([

                    "id" => $notification->id,
                    "title" => $notification->title,
                    "body" => $notification->description,

                    "image" =>"null",
                ]);


                // dd($dataBuilder);

                $option = $optionBuilder->build();
//            $notification = $notificationBuilder->build();
                $data = $dataBuilder->build();
                // dd($data);
                //dd($data);
                $tokens = NotificationToken::pluck('token')->toArray();

                $downstreamResponse = FCM::sendTo($tokens, $option, null, $data);
                //dd($downstreamResponse);
            }
            else
            {
                $optionBuilder = new OptionsBuilder();
                $optionBuilder->setTimeToLive(60 * 20);
//            $notificationBuilder = new PayloadNotificationBuilder('my title');
//            $notificationBuilder->setBody('Gavi')
//                ->setSound('default');

                $dataBuilder = new PayloadDataBuilder();

                $dataBuilder->addData([

                    "id" => $notification->id,
                    "title" => $notification->title,
                    "body" => $notification->description,

                    "image" =>  asset($notification->image),
                ]);


                // dd($dataBuilder);

                $option = $optionBuilder->build();
//            $notification = $notificationBuilder->build();
                $data = $dataBuilder->build();
                 //dd($data);

                $tokens = NotificationToken::pluck('token')->toArray();

                $downstreamResponse = FCM::sendTo($tokens, $option, null, $data);
               // dd($downstreamResponse);

            }

        } catch (\Exception $e) {

           // dd($e);
            return $e;
        }
    }
}
