<?php

namespace App\Mail;

use Carbon\Carbon;
use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Contracts\Queue\ShouldQueue;

class RegCongratulationMail extends Mailable
{
    use Queueable, SerializesModels;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public $user,$deadline;
    public function __construct($user)
    {
        $this->user = $user;
        $this->subject = "TTH 2019-20 preregistration confirmation for 'Campus Day Competition'";

    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        $this->deadline = Carbon::parse($this->user->zone->exam_date)->subDay(1)->format('Y-m-d');
        return $this->view('Email.reg_congratulate_mail',compact(['user','deadline']));
    }
}
