<?php

namespace App\Mail;

use Carbon\Carbon;
use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Contracts\Queue\ShouldQueue;

class VideoCongratulationMail extends Mailable
{
    use Queueable, SerializesModels;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public $user,$exam_date;
    public function __construct($user)
    {
        $this->user = $user;
        $this->subject("TTH Audition submit confirmation for 'Campus Day Competition'");
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        $this->exam_date = Carbon::parse($this->user->zone->exam_date)->format('Y-m-d');
        return $this->view('Email.video_congratulate_mail',compact(['user','exam_date']));
    }
}
