<?php


namespace App\Services;


use Illuminate\Http\JsonResponse;

class ApiCommonResponseService
{
    public function getDataValue(){
        return $this;
    }
    public function success_response($code,$message, $data, $pagination = [])
    {

        $response = array(
            'success' => true,
            'message' => $message,
        );

        $response = array_merge(
            $response,
            array(
                "data" => $data
            )
        );

        if (!empty($pagination)) {
            $response = array_merge(
                $response,
                array(
                    "pagination" => $pagination
                )
            );
        }

        return new JsonResponse($response, $code);

    }


    public function error_response($code,$message, $errors)
    {

        $response = array(
            'success' => false,
            'message' => $message,
            "errors" => $errors
        );

        return new JsonResponse($response, $code);

    }


    public function paginationInfo($items)
    {
        return array(
            'total_items_count' => $items->total(),
            'current_items_count' => $items->count(),
            'items_per_page' => $items->perPage(),
            'current_page_no' => $items->currentPage(),
            'last_page_no' => $items->lastPage(),
            'has_more_pages' => $items->hasMorePages(),
        );
    }
    public function pagination($data ,$page_number, $total_number,$item_per_page){
                return [
                    "data" => $data,
                    "pagination" =>[
                        "page_number" => $page_number,
                        "total_element" => $total_number,
                        "per_page" => $item_per_page
                    ]
                ];
    }


}
