<?php


namespace App\Services;




use App\Models\Exam;
use App\Models\ExamPaper;
use Carbon\Carbon;
use Illuminate\Http\Request;
use Tymon\JWTAuth\Facades\JWTAuth;

class ExamService
{
    public function create(Request $request){
            $exam = Exam::insert([
                'exam_title' => $request->exam_title,
                'exam_date' => $request->exam_date,
                'exam_start_time' => $request->exam_start_time,
                'exam_end_time' => $request->exam_end_time,
                'exam_instruction' => $request->exam_description,
            ]);
            return $exam;
    }
    public function update(Request $request){
        $exam = Exam::where('id' , $request->id)->update([
            'exam_title' => $request->exam_title,
            'exam_date' => $request->exam_date,
            'exam_start_time' => $request->exam_start_time,
            'exam_end_time' => $request->exam_end_time,
            'exam_instruction' => $request->exam_description,
        ]);
        return $exam;
    }
    public function delete(Request $request){
        $id = $request->id;
        Exam::where('id', $id)->delete();
    }
    public function get(Request $request){
        $exam =  Exam::find($request->id);
        $current_time = Carbon::now();
        $start_time = Carbon::parse($exam->exam_date.' '.$exam->exam_start_time);
        $end_time = Carbon::parse($exam->exam_date.' '.$exam->exam_end_time);
        $exam['remaining_time'] = $current_time->diffInRealSeconds($start_time, false);
        $exam['end_remaining_time'] = $current_time->diffInRealSeconds($end_time, false);
        $exam['is_exam_running'] = $current_time->between($start_time, $end_time , true);
        return $exam;

    }
    public function submitExamPaper( $request){
        $user = JWTAuth::parseToken()->authenticate();
        ExamPaper::create([
             'exam_id' => $request->exam_id,
             'answer' => json_encode($request->answer),
            'user_id' => $user->id

          ]);
    }

}
