<?php


namespace App\Services;


use App\Notification;
use Illuminate\Support\Collection;

class NotificationListService
{

    public function prepareNotificationListData(Collection $informations)
    {

        $data = [];

        foreach ($informations as $information) {

            if($information->image==null) {
                $data [] = [
                    'id' => $information->id,
                    'sub_title' => $information->name,
                    'title' => $information->description,


                    'description' => $information->sos_number,

                    'image' =>($information->image),
                    'created_at' => $information->created_at->addHour(6)->toDayDateTimeString(),
                ];
            }
            else
                $data=[
                    'id' => $information->id,
                    'sub_title' => $information->name,
                    'title' => $information->description,


                    'description' => $information->sos_number,

                    'image' => asset($information->image),
                    'created_at' => $information->created_at->addHour(6)->toDayDateTimeString(),

                ];
        }

        return $data;
    }

    public function getAllNotificationList()
    {
        $informations = Notification::all();

        return $informations;
    }

}
