@extends('admin.layouts.mobile_layout')

@section('title')
    Edit| Bike Parts | Suzuki Admin Panel
@endsection

@section('page-heading')
    Dashboard
@endsection

@section('breadcumb')
    <li class="breadcrumb-item"><a href="ecommerce-dashboard.html#">Suzuki</a></li>
    <li class="breadcrumb-item active">Bike Parts</li>
@endsection

@section('content')
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <div class="row">
                    <div class="col-12">
                        <div class="p-20">
                            <form action="{{route('bike-parts.update',$bike_part->id)}}" class="form-horizontal"
                                  role="form"
                                  enctype="multipart/form-data" method="post">

                                {{method_field('PUT')}}
                                {{csrf_field()}}

                                <div class="form-group row">
                                    <label class="col-2 col-form-label">Bike Model</label>
                                    <div class="col-10">
                                        <select name="model_bikes[]" class="form-control" multiple required>
                                            @foreach($model_bikes as $model_bike)
                                                <option
                                                    value="{{$model_bike->id}}"
                                                    @if($bike_part->model_bikes->contains($model_bike->id))
                                                    selected
                                                    @endif
                                                >{{$model_bike->model_title}}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label class="col-2 col-form-label">Part Type</label>
                                    <div class="col-10">
                                        <select name="bike_part_type" class="form-control" required>
                                            <option value="">Select Part Type</option>
                                            @foreach($bike_part_types as $bike_part_type)
                                                <option
                                                    value="{{$bike_part_type->id}}"
                                                    @if($bike_part->bike_part_type_id==$bike_part_type->id)
                                                    selected
                                                    @endif
                                                >{{$bike_part_type->name}}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label class="col-2 col-form-label">Name</label>
                                    <div class="col-10">
                                        <input name="name" type="text" placeholder="Enter Part Name"
                                               value="{{$bike_part->name}}" class="form-control" required>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label class="col-2 col-form-label">Description</label>
                                    <div class="col-10">
                                        <textarea name="description" class="form-control" rows="5"
                                                  placeholder="Enter Part Description"
                                                  required>{{$bike_part->description}}</textarea>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label class="col-2 col-form-label">Price</label>
                                    <div class="col-10">
                                        <input name="price" type="number" step="any" placeholder="Enter Part Price"
                                               value="{{$bike_part->price}}" class="form-control" required>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label class="col-2 col-form-label">Part Image</label>
                                    <div class="col-10">
                                        <input name="image" type="file" class="form-control">
                                        <img style="max-width: 250px; max-height: 200px" id=""
                                             src="{{asset($bike_part->image)}}" alt="{{$bike_part->name}}" class="mt-1">
                                    </div>
                                </div>

                                <button type="submit" class="btn btn-primary">Submit</button>

                            </form>
                        </div>
                    </div>

                </div>
                <!-- end row -->

            </div> <!-- end card-box -->
        </div><!-- end col -->
    </div>
@endsection

@section('page-specific-js')

@endsection
