@extends('admin.layouts.mobile_layout')

@section('title')
    All | Notifictaion | Suzuki Admin Panel
@endsection

@section('page-heading')

@endsection

@section('breadcumb')
    <li class="breadcrumb-item">Suzuki</li>
    <li class="breadcrumb-item active">All Notification</li>
@endsection

@section('content')
    <div class="row">
        <!-- col -->
        <div class="col-lg-12 col-xl-12">
            <div class="card-box">
                {{--<a href="index.html#" class="pull-right btn btn-default btn-sm waves-effect waves-light">View All</a>--}}
                <h4 class="text-dark header-title m-t-0"></h4>
                {{--<p class="text-muted m-b-30 font-13">
                    Use the button classes on an element.
                </p>--}}

                <div class="table-responsive">
                    <table class="table table-actions-bar m-b-0">
                        <thead>
                        <tr>
                            <th>SL.</th>
                            <th>Type</th>
                            <th>title</th>
                            <th>short_title</th>
                            <th>description</th>
                            <th>Image</th>


                            <th style="min-width: 80px;">Action</th>
                        </tr>
                        </thead>
                        <tbody>

                        @foreach($notifications as $notification)
                            @if($notification->image==null)

                                <tr>
                                    <td>{{$loop->index+1}}</td>
                                    <td>{{$notification->notification_type->type_name}}</td>
                                    <td>{{$notification->title}}</td>
                                    <td>{{$notification->sub_title}}</td>
                                    <td>{{$notification->description}}</td>
                                    <td>{{"No Picture Available"}}</td>

                                    <td>


                                        <a href="#" class="table-action-btn parts_delete" data-content="{{$loop->index+1}}"><i
                                                class="md md-close"></i></a>

                                        <form id="parts_delete{{$loop->index+1}}"
                                              action="{{route('notification.destroy',$notification->id)}}"
                                              method="post" class="delete"
                                              data-content="{{$notification->id}}"
                                              style="display: none;">
                                            {{csrf_field()}}
                                            {{method_field('DELETE')}}
                                        </form>

                                    </td>
                                </tr>


                            @else
                                <tr>
                                    <td>{{$loop->index+1}}</td>
                                    <td>{{$notification->notification_type->type_name}}</td>
                                    <td>{{$notification->title}}</td>
                                    <td>{{$notification->sub_title}}</td>
                                    <td>{{$notification->description}}</td>
                                    <td><img style="max-height: 50px; max-width: 100px" src="{{asset($notification->image)}}"
                                        >
                                    </td>

                                    <td>


                                        <a href="#" class="table-action-btn parts_delete" data-content="{{$loop->index+1}}"><i
                                                class="md md-close"></i></a>

                                        <form id="parts_delete{{$loop->index+1}}"
                                              action="{{route('notification.destroy',$notification->id)}}"
                                              method="post" class="delete"
                                              data-content="{{$notification->id}}"
                                              style="display: none;">
                                            {{csrf_field()}}
                                            {{method_field('DELETE')}}
                                        </form>

                                    </td>
                                </tr>
                            @endif

                        @endforeach

                        </tbody>
                    </table>
                    {!! $notifications->render() !!}

                </div>

            </div>
        </div>
        <!-- end col -->
    </div>

@endsection

@section('page-specific-js')

    {{--bootbox--}}
    <script src="{{URL::to('assets/js/bootbox.min.js')}}"></script>
    {{--bootbox--}}

    <script>

        $(document).on("click", ".parts_delete", function (e) {

            var index = $(this).data('content');

            bootbox.confirm({
                message: "Do you want to remove this?",
                buttons: {
                    confirm: {
                        label: 'Yes',
                        className: 'btn-vinndo'
                    },
                    cancel: {
                        label: 'No',
                        className: 'btn-default'
                    }
                },
                callback: function (result) {
                    if (result) {
                        $("#parts_delete" + index).submit();
                    }
                }
            });
        });
    </script>
    {{--<script src="{{asset('pages/jquery.dashboard_3.js')}}"></script>--}}
@endsection
