@extends('admin.layouts.layout')

@section('title')
    Suzuki |New User
@endsection

@section('current_page')
    Add New user
@endsection

@section('page-heading')
   Add New User
@endsection

@section('page-specific-css')
    <link href="{{ asset('plugins/datatables/responsive.bootstrap4.min.css') }}" rel="stylesheet" type="text/css"/>
    <link href="{{ asset('plugins/multiselect/css/multi-select.css') }}" rel="stylesheet" type="text/css"/>
@endsection

@section('right-side-button')
    <a type="button" class="btn btn-default  waves-effect waves-light" href="{{ route('users.index') }}">
        <span class="btn-label"><i class="fa fa-arrow-circle-left"></i></span>Back
    </a>
@endsection

@section('breadcumb')

    <li class="breadcrumb-item active">Add User</li>
@endsection
@section('content')
    <div class="row">
        <div class="col-md-12">
            @if (count($errors) > 0)
                <div class="alert alert-danger">
                    <strong>Error!</strong> There were some problems with your input.<br><br>
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif
            <div class="card-box">
                <h4 class="m-t-0 header-title">Add New User</h4>
                <form method="POST" action="{{ route('users.store') }}" id="add_form">
                    {{ csrf_field() }}
                    <div class="form-row">
                        <div class="form-group col-md-6">
                            <label for="name" class="col-form-label">Name</label> <span class="text-danger">*</span>
                            <input type="text"
                                   class="form-control"
                                   value="{{ old('name') }}"
                                   name="name"
                                   id="name"
                                   >
                        </div>
                        <div class="form-group col-md-6">
                            <label for="user_name" class="col-form-label">User ID</label> <span class="text-danger">*</span>
                            <input type="text"
                                   class="form-control"
                                   value="{{ old('user_name') }}"
                                   name="user_name"
                                   id="user_name"
                                   >
                        </div>
                        <div class="form-group col-md-6">
                            <label for="email" class="col-form-label">Email</label>
                            <input type="email"
                                   class="form-control"
                                   id="email"
                                   value="{{ old('email') }}"
                                   name="email">
                        </div>
                        <div class="form-group col-md-6">
                            <label for="contact_number" class="col-form-label">Contact Number</label><span class="text-danger">*</span>
                            <input type="text"
                                   class="form-control"
                                   id="contact_number"
                                   value="{{ old('contact_number') }}"
                                   name="contact_number">
                        </div>
                        <div class="form-group col-md-6">
                            <label for="password" class="col-form-label">Password</label><span class="text-danger">*</span>
                            <input type="password"
                                   class="form-control"
                                   name="password"
                                   >
                        </div>
                        <div class="form-group col-md-6">
                            <label for="password" class="col-form-label">Confirm Password</label><span class="text-danger">*</span>
                            <input type="password"
                                   class="form-control"
                                   name="password_confirmation"
                                   >
                        </div>
                        <div class="form-group col-md-6">
                            <label for="permissions" class="col-form-label">Roles</label><span class="text-danger">*</span><br/>
                            <a href='#' id='select-all'>select all</a> &nbsp;&nbsp;&nbsp;
                            <a href='#' id='deselect-all'>deselect all</a>
                            <select multiple="multiple" class="multi-select" id="roles" name="roles[]"
                                    required>
                                <option value=""></option>
                                @foreach($roles as $role)
                                    <option value=" {{ $role->id }}"> {{ $role->name  }}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class="form-group col-md-6">
                            <button type="submit" class="btn btn-primary pull-right" id="save">Save</button>
                        </div>

                    </div>
                </form>
            </div>
        </div>
    </div>
@endsection

@section('page-specific-js')
    @parent
    <script src="{{ asset('plugins/multiselect/js/jquery.multi-select.js') }}"></script>
    <script src="{{asset('plugins/notifyjs/js/notify.js')}}"></script>
    <script src="{{asset('plugins/notifications/notify-metro.js')}}"></script>
    <script>
        $("#roles").multiSelect();

        $('#select-all').click(function(){
            $('#roles').multiSelect('select_all');
            return false;
        });
        $('#deselect-all').click(function(){
            $('#roles').multiSelect('deselect_all');
            return false;
        });

        $("#save").on('click',function (e) {
            e.preventDefault();

            if ($("#roles").val() == "") {
                $.Notification.notify(
                    'error',
                    'top right',
                    'Error',
                    'Please Select a Role'
                );
            }else{
                $("#add_form").submit();
            }
        })

    </script>

@endsection
